module MccCodes
  CODES =
    [ {:decription=>"A/C, Refrigeration Repair", :mcc=>"7623"},
      {:decription=>"Accounting/Bookkeeping Services", :mcc=>"8931"},
      {:decription=>"Advertising Services", :mcc=>"7311"},
      {:decription=>"Agricultural Cooperative", :mcc=>"0763"},
      {:decription=>"Airlines, Air Carriers", :mcc=>"4511"},
      {:decription=>"Airports, Flying Fields", :mcc=>"4582"},
      {:decription=>"Ambulance Services", :mcc=>"4119"},
      {:decription=>"Amusement Parks/Carnivals", :mcc=>"7996"},
      {:decription=>"Antique Reproductions", :mcc=>"5937"},
      {:decription=>"Antique Shops", :mcc=>"5932"},
      {:decription=>"Aquariums", :mcc=>"7998"},
      {:decription=>"Architectural/Surveying Services", :mcc=>"8911"},
      {:decription=>"Art Dealers and Galleries", :mcc=>"5971"},
      {:decription=>"Artists Supply and Craft Shops", :mcc=>"5970"},
      {:decription=>"Auto Body Repair Shops", :mcc=>"7531"},
      {:decription=>"Auto Paint Shops", :mcc=>"7535"},
      {:decription=>"Auto Service Shops", :mcc=>"7538"},
      {:decription=>"Auto and Home Supply Stores", :mcc=>"5531"},
      {:decription=>"Automated Cash Disburse", :mcc=>"6011"},
      {:decription=>"Automated Fuel Dispensers", :mcc=>"5542"},
      {:decription=>"Automobile Associations", :mcc=>"8675"},
      {:decription=>"Automotive Parts and Accessories Stores", :mcc=>"5533"},
      {:decription=>"Automotive Tire Stores", :mcc=>"5532"},
      {:decription=>
        "Bail and Bond Payments (payment to the surety for the bond, not the actual bond paid to the government agency)",
       :mcc=>"9223"},
      {:decription=>"Bakeries", :mcc=>"5462"},
      {:decription=>"Bands, Orchestras", :mcc=>"7929"},
      {:decription=>"Barber and Beauty Shops", :mcc=>"7230"},
      {:decription=>"Betting/Casino Gambling", :mcc=>"7995"},
      {:decription=>"Bicycle Shops", :mcc=>"5940"},
      {:decription=>"Billiard/Pool Establishments", :mcc=>"7932"},
      {:decription=>"Boat Dealers", :mcc=>"5551"},
      {:decription=>"Boat Rentals and Leases", :mcc=>"4457"},
      {:decription=>"Book Stores", :mcc=>"5942"},
      {:decription=>"Books, Periodicals, and Newspapers", :mcc=>"5192"},
      {:decription=>"Bowling Alleys", :mcc=>"7933"},
      {:decription=>"Bus Lines", :mcc=>"4131"},
      {:decription=>"Business/Secretarial Schools", :mcc=>"8244"},
      {:decription=>"Buying/Shopping Services", :mcc=>"7278"},
      {:decription=>"Cable, Satellite, and Other Pay Television and Radio",
       :mcc=>"4899"},
      {:decription=>"Camera and Photographic Supply Stores", :mcc=>"5946"},
      {:decription=>"Candy, Nut, and Confectionery Stores", :mcc=>"5441"},
      {:decription=>"Car Rental Agencies", :mcc=>"7512"},
      {:decription=>"Car Washes", :mcc=>"7542"},
      {:decription=>
        "Car and Truck Dealers (New & Used) Sales, Service, Repairs Parts and Leasing",
       :mcc=>"5511"},
      {:decription=>
        "Car and Truck Dealers (Used Only) Sales, Service, Repairs Parts and Leasing",
       :mcc=>"5521"},
      {:decription=>"Carpentry Services", :mcc=>"1750"},
      {:decription=>"Carpet/Upholstery Cleaning", :mcc=>"7217"},
      {:decription=>"Caterers", :mcc=>"5811"},
      {:decription=>"Charitable and Social Service Organizations - Fundraising",
       :mcc=>"8398"},
      {:decription=>"Chemicals and Allied Products (Not Elsewhere Classified)",
       :mcc=>"5169"},
      {:decription=>"Chidrens and Infants Wear Stores", :mcc=>"5641"},
      {:decription=>"Child Care Services", :mcc=>"8351"},
      {:decription=>"Chiropodists, Podiatrists", :mcc=>"8049"},
      {:decription=>"Chiropractors", :mcc=>"8041"},
      {:decription=>"Cigar Stores and Stands", :mcc=>"5993"},
      {:decription=>"Civic, Social, Fraternal Associations", :mcc=>"8641"},
      {:decription=>"Cleaning and Maintenance", :mcc=>"7349"},
      {:decription=>"Clothing Rental", :mcc=>"7296"},
      {:decription=>"Colleges, Universities", :mcc=>"8220"},
      {:decription=>"Commercial Equipment (Not Elsewhere Classified)",
       :mcc=>"5046"},
      {:decription=>"Commercial Footwear", :mcc=>"5139"},
      {:decription=>"Commercial Photography, Art and Graphics", :mcc=>"7333"},
      {:decription=>"Commuter Transport, Ferries", :mcc=>"4111"},
      {:decription=>"Computer Network Services", :mcc=>"4816"},
      {:decription=>"Computer Programming", :mcc=>"7372"},
      {:decription=>"Computer Repair", :mcc=>"7379"},
      {:decription=>"Computer Software Stores", :mcc=>"5734"},
      {:decription=>"Computers, Peripherals, and Software", :mcc=>"5045"},
      {:decription=>"Concrete Work Services", :mcc=>"1771"},
      {:decription=>"Construction Materials (Not Elsewhere Classified)",
       :mcc=>"5039"},
      {:decription=>"Consulting, Public Relations", :mcc=>"7392"},
      {:decription=>"Correspondence Schools", :mcc=>"8241"},
      {:decription=>"Cosmetic Stores", :mcc=>"5977"},
      {:decription=>"Counseling Services", :mcc=>"7277"},
      {:decription=>"Country Clubs", :mcc=>"7997"},
      {:decription=>"Courier Services", :mcc=>"4215"},
      {:decription=>
        "Court Costs, Including Alimony and Child Support - Courts of Law",
       :mcc=>"9211"},
      {:decription=>"Credit Reporting Agencies", :mcc=>"7321"},
      {:decription=>"Cruise Lines", :mcc=>"4411"},
      {:decription=>"Dairy Products Stores", :mcc=>"5451"},
      {:decription=>"Dance Hall, Studios, Schools", :mcc=>"7911"},
      {:decription=>"Dating/Escort Services", :mcc=>"7273"},
      {:decription=>"Dentists, Orthodontists", :mcc=>"8021"},
      {:decription=>"Department Stores", :mcc=>"5311"},
      {:decription=>"Detective Agencies", :mcc=>"7393"},
      {:decription=>"Direct Marketing - Catalog Merchant", :mcc=>"5964"},
      {:decription=>"Direct Marketing - Combination Catalog and Retail Merchant",
       :mcc=>"5965"},
      {:decription=>"Direct Marketing - Inbound Telemarketing", :mcc=>"5967"},
      {:decription=>"Direct Marketing - Insurance Services", :mcc=>"5960"},
      {:decription=>"Direct Marketing - Other", :mcc=>"5969"},
      {:decription=>"Direct Marketing - Outbound Telemarketing", :mcc=>"5966"},
      {:decription=>"Direct Marketing - Subscription", :mcc=>"5968"},
      {:decription=>"Direct Marketing - Travel", :mcc=>"5962"},
      {:decription=>"Discount Stores", :mcc=>"5310"},
      {:decription=>"Doctors", :mcc=>"8011"},
      {:decription=>"Door-To-Door Sales", :mcc=>"5963"},
      {:decription=>"Drapery, Window Covering, and Upholstery Stores",
       :mcc=>"5714"},
      {:decription=>"Drinking Places", :mcc=>"5813"},
      {:decription=>"Drug Stores and Pharmacies", :mcc=>"5912"},
      {:decription=>"Drugs, Drug Proprietaries, and Druggist Sundries",
       :mcc=>"5122"},
      {:decription=>"Dry Cleaners", :mcc=>"7216"},
      {:decription=>"Durable Goods (Not Elsewhere Classified)", :mcc=>"5099"},
      {:decription=>"Duty Free Stores", :mcc=>"5309"},
      {:decription=>"Eating Places, Restaurants", :mcc=>"5812"},
      {:decription=>"Educational Services", :mcc=>"8299"},
      {:decription=>"Electric Razor Stores", :mcc=>"5997"},
      {:decription=>"Electrical Parts and Equipment", :mcc=>"5065"},
      {:decription=>"Electrical Services", :mcc=>"1731"},
      {:decription=>"Electronics Repair Shops", :mcc=>"7622"},
      {:decription=>"Electronics Stores", :mcc=>"5732"},
      {:decription=>"Elementary, Secondary Schools", :mcc=>"8211"},
      {:decription=>"Employment/Temp Agencies", :mcc=>"7361"},
      {:decription=>"Equipment Rental", :mcc=>"7394"},
      {:decription=>"Exterminating Services", :mcc=>"7342"},
      {:decription=>"Family Clothing Stores", :mcc=>"5651"},
      {:decription=>"Fast Food Restaurants", :mcc=>"5814"},
      {:decription=>"Financial Institutions", :mcc=>"6012"},
      {:decription=>"Fines - Government Administrative Entities", :mcc=>"9222"},
      {:decription=>"Fireplace, Fireplace Screens, and Accessories Stores",
       :mcc=>"5718"},
      {:decription=>"Floor Covering Stores", :mcc=>"5713"},
      {:decription=>"Florists", :mcc=>"5992"},
      {:decription=>"Florists Supplies, Nursery Stock, and Flowers", :mcc=>"5193"},
      {:decription=>"Freezer and Locker Meat Provisioners", :mcc=>"5422"},
      {:decription=>"Fuel Dealers (Non Automotive)", :mcc=>"5983"},
      {:decription=>"Funeral Services, Crematories", :mcc=>"7261"},
      {:decription=>"Furniture Repair, Refinishing", :mcc=>"7641"},
      {:decription=>
        "Furniture, Home Furnishings, and Equipment Stores, Except Appliances",
       :mcc=>"5712"},
      {:decription=>"Furriers and Fur Shops", :mcc=>"5681"},
      {:decription=>"General Services", :mcc=>"1520"},
      {:decription=>"Gift, Card, Novelty, and Souvenir Shops", :mcc=>"5947"},
      {:decription=>"Glass, Paint, and Wallpaper Stores", :mcc=>"5231"},
      {:decription=>"Glassware, Crystal Stores", :mcc=>"5950"},
      {:decription=>"Golf Courses - Public", :mcc=>"7992"},
      {:decription=>"Government Services (Not Elsewhere Classified)", :mcc=>"9399"},
      {:decription=>"Grocery Stores, Supermarkets", :mcc=>"5411"},
      {:decription=>"Hardware Stores", :mcc=>"5251"},
      {:decription=>"Hardware, Equipment, and Supplies", :mcc=>"5072"},
      {:decription=>"Health and Beauty Spas", :mcc=>"7298"},
      {:decription=>"Hearing Aids Sales and Supplies", :mcc=>"5975"},
      {:decription=>"Heating, Plumbing, A/C", :mcc=>"1711"},
      {:decription=>"Hobby, Toy, and Game Shops", :mcc=>"5945"},
      {:decription=>"Home Supply Warehouse Stores", :mcc=>"5200"},
      {:decription=>"Hospitals", :mcc=>"8062"},
      {:decription=>"Hotels, Motels, and Resorts", :mcc=>"7011"},
      {:decription=>"Household Appliance Stores", :mcc=>"5722"},
      {:decription=>"Industrial Supplies (Not Elsewhere Classified)", :mcc=>"5085"},
      {:decription=>"Information Retrieval Services", :mcc=>"7375"},
      {:decription=>"Insurance - Default", :mcc=>"6399"},
      {:decription=>"Insurance Underwriting, Premiums", :mcc=>"6300"},
      {:decription=>"Intra-Company Purchases", :mcc=>"9950"},
      {:decription=>"Jewelry Stores, Watches, Clocks, and Silverware Stores",
       :mcc=>"5944"},
      {:decription=>"Landscaping Services", :mcc=>"0780"},
      {:decription=>"Laundries", :mcc=>"7211"},
      {:decription=>"Laundry, Cleaning Services", :mcc=>"7210"},
      {:decription=>"Legal Services, Attorneys", :mcc=>"8111"},
      {:decription=>"Luggage and Leather Goods Stores", :mcc=>"5948"},
      {:decription=>"Lumber, Building Materials Stores", :mcc=>"5211"},
      {:decription=>"Manual Cash Disburse", :mcc=>"6010"},
      {:decription=>"Marinas, Service and Supplies", :mcc=>"4468"},
      {:decription=>"Masonry, Stonework, and Plaster", :mcc=>"1740"},
      {:decription=>"Massage Parlors", :mcc=>"7297"},
      {:decription=>"Medical Services", :mcc=>"8099"},
      {:decription=>"Medical and Dental Labs", :mcc=>"8071"},
      {:decription=>
        "Medical, Dental, Ophthalmic, and Hospital Equipment and Supplies",
       :mcc=>"5047"},
      {:decription=>"Membership Organizations", :mcc=>"8699"},
      {:decription=>"Mens and Boys Clothing and Accessories Stores", :mcc=>"5611"},
      {:decription=>"Mens, Womens Clothing Stores", :mcc=>"5691"},
      {:decription=>"Metal Service Centers", :mcc=>"5051"},
      {:decription=>"Miscellaneous Apparel and Accessory Shops", :mcc=>"5699"},
      {:decription=>"Miscellaneous Auto Dealers", :mcc=>"5599"},
      {:decription=>"Miscellaneous Business Services", :mcc=>"7399"},
      {:decription=>
        "Miscellaneous Food Stores - Convenience Stores and Specialty Markets",
       :mcc=>"5499"},
      {:decription=>"Miscellaneous General Merchandise", :mcc=>"5399"},
      {:decription=>"Miscellaneous General Services", :mcc=>"7299"},
      {:decription=>"Miscellaneous Home Furnishing Specialty Stores", :mcc=>"5719"},
      {:decription=>"Miscellaneous Publishing and Printing", :mcc=>"2741"},
      {:decription=>"Miscellaneous Recreation Services", :mcc=>"7999"},
      {:decription=>"Miscellaneous Repair Shops", :mcc=>"7699"},
      {:decription=>"Miscellaneous Specialty Retail", :mcc=>"5999"},
      {:decription=>"Mobile Home Dealers", :mcc=>"5271"},
      {:decription=>"Motion Picture Theaters", :mcc=>"7832"},
      {:decription=>
        "Motor Freight Carriers and Trucking - Local and Long Distance, Moving and Storage Companies, and Local Delivery Services",
       :mcc=>"4214"},
      {:decription=>"Motor Homes Dealers", :mcc=>"5592"},
      {:decription=>"Motor Vehicle Supplies and New Parts", :mcc=>"5013"},
      {:decription=>"Motorcycle Shops and Dealers", :mcc=>"5571"},
      {:decription=>"Motorcycle Shops, Dealers", :mcc=>"5561"},
      {:decription=>"Music Stores-Musical Instruments, Pianos, and Sheet Music",
       :mcc=>"5733"},
      {:decription=>"News Dealers and Newsstands", :mcc=>"5994"},
      {:decription=>"Non-FI, Money Orders", :mcc=>"6051"},
      {:decription=>"Non-FI, Stored Value Card Purchase/Load", :mcc=>"6540"},
      {:decription=>"Nondurable Goods (Not Elsewhere Classified)", :mcc=>"5199"},
      {:decription=>"Nurseries, Lawn and Garden Supply Stores", :mcc=>"5261"},
      {:decription=>"Nursing/Personal Care", :mcc=>"8050"},
      {:decription=>"Office and Commercial Furniture", :mcc=>"5021"},
      {:decription=>"Opticians, Eyeglasses", :mcc=>"8043"},
      {:decription=>"Optometrists, Ophthalmologist", :mcc=>"8042"},
      {:decription=>"Orthopedic Goods - Prosthetic Devices", :mcc=>"5976"},
      {:decription=>"Osteopaths", :mcc=>"8031"},
      {:decription=>"Package Stores-Beer, Wine, and Liquor", :mcc=>"5921"},
      {:decription=>"Paints, Varnishes, and Supplies", :mcc=>"5198"},
      {:decription=>"Parking Lots, Garages", :mcc=>"7523"},
      {:decription=>"Passenger Railways", :mcc=>"4112"},
      {:decription=>"Pawn Shops", :mcc=>"5933"},
      {:decription=>"Pet Shops, Pet Food, and Supplies", :mcc=>"5995"},
      {:decription=>"Petroleum and Petroleum Products", :mcc=>"5172"},
      {:decription=>"Photo Developing", :mcc=>"7395"},
      {:decription=>"Photographic Studios", :mcc=>"7221"},
      {:decription=>"Photographic, Photocopy, Microfilm Equipment, and Supplies",
       :mcc=>"5044"},
      {:decription=>"Picture/Video Production", :mcc=>"7829"},
      {:decription=>"Piece Goods, Notions, and Other Dry Goods", :mcc=>"5131"},
      {:decription=>"Plumbing, Heating Equipment, and Supplies", :mcc=>"5074"},
      {:decription=>"Political Organizations", :mcc=>"8651"},
      {:decription=>"Postal Services - Government Only", :mcc=>"9402"},
      {:decription=>"Precious Stones and Metals, Watches and Jewelry",
       :mcc=>"5094"},
      {:decription=>"Professional Services", :mcc=>"8999"},
      {:decription=>
        "Public Warehousing and Storage - Farm Products, Refrigerated Goods, Household Goods, and Storage",
       :mcc=>"4225"},
      {:decription=>"Quick Copy, Repro, and Blueprint", :mcc=>"7338"},
      {:decription=>"Railroads", :mcc=>"4011"},
      {:decription=>"Real Estate Agents and Managers - Rentals", :mcc=>"6513"},
      {:decription=>"Record Stores", :mcc=>"5735"},
      {:decription=>"Recreational Vehicle Rentals", :mcc=>"7519"},
      {:decription=>"Religious Goods Stores", :mcc=>"5973"},
      {:decription=>"Religious Organizations", :mcc=>"8661"},
      {:decription=>"Roofing/Siding, Sheet Metal", :mcc=>"1761"},
      {:decription=>"Secretarial Support Services", :mcc=>"7339"},
      {:decription=>"Security Brokers/Dealers", :mcc=>"6211"},
      {:decription=>"Service Stations", :mcc=>"5541"},
      {:decription=>"Sewing, Needlework, Fabric, and Piece Goods Stores",
       :mcc=>"5949"},
      {:decription=>"Shoe Repair/Hat Cleaning", :mcc=>"7251"},
      {:decription=>"Shoe Stores", :mcc=>"5661"},
      {:decription=>"Small Appliance Repair", :mcc=>"7629"},
      {:decription=>"Snowmobile Dealers", :mcc=>"5598"},
      {:decription=>"Special Trade Services", :mcc=>"1799"},
      {:decription=>"Specialty Cleaning", :mcc=>"2842"},
      {:decription=>"Sporting Goods Stores", :mcc=>"5941"},
      {:decription=>"Sporting/Recreation Camps", :mcc=>"7032"},
      {:decription=>"Sports Clubs/Fields", :mcc=>"7941"},
      {:decription=>"Sports and Riding Apparel Stores", :mcc=>"5655"},
      {:decription=>"Stamp and Coin Stores", :mcc=>"5972"},
      {:decription=>"Stationary, Office Supplies, Printing and Writing Paper",
       :mcc=>"5111"},
      {:decription=>"Stationery Stores, Office, and School Supply Stores",
       :mcc=>"5943"},
      {:decription=>"Swimming Pools Sales", :mcc=>"5996"},
      {:decription=>"TUI Travel - Germany", :mcc=>"4723"},
      {:decription=>"Tailors, Alterations", :mcc=>"5697"},
      {:decription=>"Tax Payments - Government Agencies", :mcc=>"9311"},
      {:decription=>"Tax Preparation Services", :mcc=>"7276"},
      {:decription=>"Taxicabs/Limousines", :mcc=>"4121"},
      {:decription=>"Telecommunication Equipment and Telephone Sales",
       :mcc=>"4812"},
      {:decription=>"Telecommunication Services", :mcc=>"4814"},
      {:decription=>"Telegraph Services", :mcc=>"4821"},
      {:decription=>"Tent and Awning Shops", :mcc=>"5998"},
      {:decription=>"Testing Laboratories", :mcc=>"8734"},
      {:decription=>"Theatrical Ticket Agencies", :mcc=>"7922"},
      {:decription=>"Timeshares", :mcc=>"7012"},
      {:decription=>"Tire Retreading and Repair", :mcc=>"7534"},
      {:decription=>"Tolls/Bridge Fees", :mcc=>"4784"},
      {:decription=>"Tourist Attractions and Exhibits", :mcc=>"7991"},
      {:decription=>"Towing Services", :mcc=>"7549"},
      {:decription=>"Trailer Parks, Campgrounds", :mcc=>"7033"},
      {:decription=>"Transportation Services (Not Elsewhere Classified)",
       :mcc=>"4789"},
      {:decription=>"Travel Agencies, Tour Operators", :mcc=>"4722"},
      {:decription=>"Truck StopIteration", :mcc=>"7511"},
      {:decription=>"Truck/Utility Trailer Rentals", :mcc=>"7513"},
      {:decription=>"Typesetting, Plate Making, and Related Services",
       :mcc=>"2791"},
      {:decription=>"Typewriter Stores", :mcc=>"5978"},
      {:decription=>"U.S. Federal Government Agencies or Departments",
       :mcc=>"9405"},
      {:decription=>"Uniforms, Commercial Clothing", :mcc=>"5137"},
      {:decription=>"Used Merchandise and Secondhand Stores", :mcc=>"5931"},
      {:decription=>"Utilities", :mcc=>"4900"},
      {:decription=>"Variety Stores", :mcc=>"5331"},
      {:decription=>"Veterinary Services", :mcc=>"0742"},
      {:decription=>"Video Amusement Game Supplies", :mcc=>"7993"},
      {:decription=>"Video Game Arcades", :mcc=>"7994"},
      {:decription=>"Video Tape Rental Stores", :mcc=>"7841"},
      {:decription=>"Vocational/Trade Schools", :mcc=>"8249"},
      {:decription=>"Watch/Jewelry Repair", :mcc=>"7631"},
      {:decription=>"Welding Repair", :mcc=>"7692"},
      {:decription=>"Wholesale Clubs", :mcc=>"5300"},
      {:decription=>"Wig and Toupee Stores", :mcc=>"5698"},
      {:decription=>"Wires, Money Orders", :mcc=>"4829"},
      {:decription=>"Womens Accessory and Specialty Shops", :mcc=>"5631"},
      {:decription=>"Womens Ready-To-Wear Stores", :mcc=>"5621"},
      {:decription=>"Wrecking and Salvage Yards", :mcc=>"5935"}].freeze
end

